Skip to main content
PUT
Edit an existing Group Contact

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

group_id
string<uuid>
required
contact_id
string<uuid>
required
version
string<uuid>
required

Body

application/json
carrier_id
string<uuid>

Unique identifier of a Carrier in Noyo's system

email
string

Work email address of the group contact

Example:

"catherine.briggs@example.com"

first_name
string

First name of the group contact

Example:

"Catherine"

last_name
string

Last name of the group contact

Example:

"Briggs"

phone_number
string

Work phone number of the group contact in E.164 format

Example:

"+15555551212"

primary_contact
boolean

True if contact is the primary contact for the group

title
string

Job title of the group contact

Example:

"Engineer"

types
enum<string>[]

List of contact types for the group contact

Minimum array length: 1
Available options:
company,
billing,
executive,
online,
carrier

Response

200 - application/json

Successful Response - Returns the modified Group Contact

created
integer
required
read-only

The date the record was originated

group_id
string<uuid>
required
read-only

Unique identifier of the group in Noyo

id
string<uuid>
required
read-only

Unique identifier of the group contact in Noyo

modified
integer
required
read-only

The date the record was last updated

types
enum<string>[]
required

List of contact types for the group contact

Minimum array length: 1
Available options:
company,
billing,
executive,
online,
carrier
version
string<uuid>
required
read-only

Version of the group contact record

carrier_id
string<uuid>
read-only

Unique identifier of a Carrier in Noyo's system

email
string
read-only

Work email address of the group contact

Example:

"catherine.briggs@example.com"

first_name
string
read-only

First name of the group contact

Example:

"Catherine"

last_name
string
read-only

Last name of the group contact

Example:

"Briggs"

phone_number
string
read-only

Work phone number of the group contact in E.164 format

Example:

"+15555551212"

primary_contact
boolean
read-only

True if contact is the primary contact for the group

title
string
read-only

Job title of the group contact

Example:

"Engineer"